DROP TABLE CRST_HZ_LOCATIONS;

CREATE TABLE CRST_HZ_LOCATIONS
(
  LOCATION_ID                   NUMBER(15)      NOT NULL,
  LAST_UPDATE_DATE              DATE            NOT NULL,
  LAST_UPDATED_BY               NUMBER(15)      NOT NULL,
  CREATION_DATE                 DATE            NOT NULL,
  CREATED_BY                    NUMBER(15)      NOT NULL,
  LAST_UPDATE_LOGIN             NUMBER(15),
  REQUEST_ID                    NUMBER(15),
  PROGRAM_APPLICATION_ID        NUMBER(15),
  PROGRAM_ID                    NUMBER(15),
  PROGRAM_UPDATE_DATE           DATE,
  WH_UPDATE_DATE                DATE,
  ATTRIBUTE_CATEGORY            VARCHAR2(30 BYTE),
  ATTRIBUTE1                    VARCHAR2(150 BYTE),
  ATTRIBUTE2                    VARCHAR2(150 BYTE),
  ATTRIBUTE3                    VARCHAR2(150 BYTE),
  ATTRIBUTE4                    VARCHAR2(150 BYTE),
  ATTRIBUTE5                    VARCHAR2(150 BYTE),
  ATTRIBUTE6                    VARCHAR2(150 BYTE),
  ATTRIBUTE7                    VARCHAR2(150 BYTE),
  ATTRIBUTE8                    VARCHAR2(150 BYTE),
  ATTRIBUTE9                    VARCHAR2(150 BYTE),
  ATTRIBUTE10                   VARCHAR2(150 BYTE),
  ATTRIBUTE11                   VARCHAR2(150 BYTE),
  ATTRIBUTE12                   VARCHAR2(150 BYTE),
  ATTRIBUTE13                   VARCHAR2(150 BYTE),
  ATTRIBUTE14                   VARCHAR2(150 BYTE),
  ATTRIBUTE15                   VARCHAR2(150 BYTE),
  ATTRIBUTE16                   VARCHAR2(150 BYTE),
  ATTRIBUTE17                   VARCHAR2(150 BYTE),
  ATTRIBUTE18                   VARCHAR2(150 BYTE),
  ATTRIBUTE19                   VARCHAR2(150 BYTE),
  ATTRIBUTE20                   VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY     VARCHAR2(30 BYTE),
  GLOBAL_ATTRIBUTE1             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20            VARCHAR2(150 BYTE),
  ORIG_SYSTEM_REFERENCE         VARCHAR2(240 BYTE) NOT NULL,
  COUNTRY                       VARCHAR2(60 BYTE) NOT NULL,
  ADDRESS1                      VARCHAR2(240 BYTE) NOT NULL,
  ADDRESS2                      VARCHAR2(240 BYTE),
  ADDRESS3                      VARCHAR2(240 BYTE),
  ADDRESS4                      VARCHAR2(240 BYTE),
  CITY                          VARCHAR2(60 BYTE),
  POSTAL_CODE                   VARCHAR2(60 BYTE),
  STATE                         VARCHAR2(60 BYTE),
  PROVINCE                      VARCHAR2(60 BYTE),
  COUNTY                        VARCHAR2(60 BYTE),
  ADDRESS_KEY                   VARCHAR2(500 BYTE),
  ADDRESS_STYLE                 VARCHAR2(30 BYTE),
  VALIDATED_FLAG                VARCHAR2(1 BYTE),
  ADDRESS_LINES_PHONETIC        VARCHAR2(560 BYTE),
  APARTMENT_FLAG                VARCHAR2(1 BYTE),
  PO_BOX_NUMBER                 VARCHAR2(50 BYTE),
  HOUSE_NUMBER                  VARCHAR2(50 BYTE),
  STREET_SUFFIX                 VARCHAR2(50 BYTE),
  APARTMENT_NUMBER              VARCHAR2(50 BYTE),
  SECONDARY_SUFFIX_ELEMENT      VARCHAR2(240 BYTE),
  STREET                        VARCHAR2(50 BYTE),
  RURAL_ROUTE_TYPE              VARCHAR2(50 BYTE),
  RURAL_ROUTE_NUMBER            VARCHAR2(50 BYTE),
  STREET_NUMBER                 VARCHAR2(50 BYTE),
  BUILDING                      VARCHAR2(50 BYTE),
  FLOOR                         VARCHAR2(50 BYTE),
  SUITE                         VARCHAR2(50 BYTE),
  ROOM                          VARCHAR2(50 BYTE),
  POSTAL_PLUS4_CODE             VARCHAR2(10 BYTE),
  TIME_ZONE                     VARCHAR2(50 BYTE),
  OVERSEAS_ADDRESS_FLAG         VARCHAR2(1 BYTE),
  POST_OFFICE                   VARCHAR2(50 BYTE),
  POSITIONS                      VARCHAR2(50 BYTE),
  DELIVERY_POINT_CODE           VARCHAR2(50 BYTE),
  LOCATION_DIRECTIONS           VARCHAR2(640 BYTE),
  ADDRESS_EFFECTIVE_DATE        DATE,
  ADDRESS_EXPIRATION_DATE       DATE,
  ADDRESS_ERROR_CODE            VARCHAR2(50 BYTE),
  CLLI_CODE                     VARCHAR2(60 BYTE),
  DODAAC                        VARCHAR2(6 BYTE),
  TRAILING_DIRECTORY_CODE       VARCHAR2(60 BYTE),
  LANGUAGE                      VARCHAR2(4 BYTE),
  LIFE_CYCLE_STATUS             VARCHAR2(30 BYTE),
  SHORT_DESCRIPTION             VARCHAR2(240 BYTE),
  DESCRIPTION                   VARCHAR2(2000 BYTE),
  CONTENT_SOURCE_TYPE           VARCHAR2(30 BYTE) NOT NULL,
  LOC_HIERARCHY_ID              NUMBER(15),
  SALES_TAX_GEOCODE             VARCHAR2(30 BYTE),
  SALES_TAX_INSIDE_CITY_LIMITS  VARCHAR2(30 BYTE),
  FA_LOCATION_ID                NUMBER(15),
  --GEOMETRY                      MDSYS.SDO_GEOMETRY,
  OBJECT_VERSION_NUMBER         NUMBER,
  CREATED_BY_MODULE             VARCHAR2(150 BYTE),
  APPLICATION_ID                NUMBER,
  TIMEZONE_ID                   NUMBER,
  GEOMETRY_STATUS_CODE          VARCHAR2(30 BYTE),
  ACTUAL_CONTENT_SOURCE         VARCHAR2(30 BYTE) DEFAULT 'USER_ENTERED' NOT NULL,
  LOCATION_ID_N                 NUMBER(15)
);
